memcache_debug
Memcache::delete
Fonctions Memcache
PHP Manual

# Memcache::decrement

(PECL memcache >= 0.2.0)

Memcache::decrement — Décrémente la valeur d'un élément

### Description

int Memcache::decrement ( string `$key` [, int `$value` ] )

Memcache::decrement() décrémente la valeur de l'élément par `value` . De la même façon que la fonction memcache::increment(), la valeur courante de l'élément est tout d'abord convertie en numérique et seulement ensuite, on soustrait la valeur `value` .

> Note: La nouvelle valeur de l'élément ne peut être inférieure à zéro.

> Note: N'utilisez pas la fonction Memcache::decrement() avec les éléments stockés compressés. Dans ce cas, l'appel à la fonction Memcache::get() échouera.

Memcache::decrement() ne crée pas d'élément s'il n'existe pas. Vous pouvez également utiliser la fonction memcache_decrement().

### Liste de paramètres

`key`

  Clé de l'élément à décrémenter.

`value`

  Décrémente l'élément par `value` . Optionnel et vaut par défaut 1.

### Valeurs de retour

Retourne la valeur du nouvel élément en cas de succès ou `FALSE` en cas d'échec.

### Exemples

Exemple #1 Exemple avec Memcache::decrement()

`<?php
/* API proécédurale */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* décrémentation de l'élément par 2 */
$new_value = memcache_decrement($memcache_obj, 'test_item', 2);
/* API orientée objet */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
/* décrémentation de l'élément par 3 */
$new_value = $memcache_obj->decrement('test_item', 3);
?>`

### Voir aussi

- Memcache::increment() - Incrément la valeur d'un élément
- Memcache::replace() - Remplace une valeur d'un élément existant

memcache_debug
Memcache::delete
Fonctions Memcache
PHP Manual